---
title: "List AI connector integration keys"
description: "Owners and admins. Metadata only — key values are never stored or shown again."
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › AI Connectors

`GET /api/workspaces/{workspaceId}/ai-connectors/integration-keys`

Owners and admins. Metadata only — key values are never stored or shown again.

## Authentication

- `BearerAuth`, http, header `Authorization`, format `JWT`

## Path parameters

- `workspaceId` (`get/api/workspaces/workspaceId/ai-connectors/integration-keys.path.workspaceId`; string, required)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.channelautomation.com/api/workspaces/<workspaceId>/ai-connectors/integration-keys' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/workspaces/<workspaceId>/ai-connectors/integration-keys';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/workspaces/<workspaceId>/ai-connectors/integration-keys"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

{ success, data: [{ id, name, key_prefix, created_by: { id, name }, status, is_active, expires_at, last_used_at, created_at }] }

### 403

Not an owner or admin of this workspace

### 503

Unavailable


Source: https://developer.channelautomations.com/api/get-api-workspaces-workspace-id-ai-connectors-integration-keys/index.md
